[MacPorts] #56132: gate: Update to 7.2 or 8.0

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

[MacPorts] #56132: gate: Update to 7.2 or 8.0

MacPorts
#56132: gate: Update to 7.2 or 8.0
------------------------+-------------------
 Reporter:  ryandesign  |      Owner:  mojca
     Type:  update      |     Status:  new
 Priority:  Normal      |  Milestone:
Component:  ports       |    Version:
 Keywords:              |       Port:  gate
------------------------+-------------------
 The gate port currently offers a development version of gate somewhere
 past the release of version 7.1. Please update the port to the stable 7.2
 or 8.0 version. Then you can remove the livecheck overrides.

--
Ticket URL: <https://trac.macports.org/ticket/56132>
MacPorts <https://www.macports.org/>
Ports system for macOS
Reply | Threaded
Open this post in threaded view
|

Re: [MacPorts] #56132: gate: Update to 7.2 or 8.0

MacPorts
#56132: gate: Update to 7.2 or 8.0
-------------------------+-------------------
  Reporter:  ryandesign  |      Owner:  mojca
      Type:  update      |     Status:  new
  Priority:  Normal      |  Milestone:
 Component:  ports       |    Version:
Resolution:              |   Keywords:
      Port:  gate        |
-------------------------+-------------------

Comment (by mojca):

 There is also ticket #55677.

 In fact there is Gate 8.1 due for a release.

 But I need help with geant4's CMake build system, here are some failed
 attempts which I did not push yet:
 * https://github.com/mojca/macports-ports/commits/geant-gate

 My old installation ends up with files under
 {{{
 /opt/local/lib/Geant4-10.3.3/Modules/
 }}}
 while the new installation puts them under
 {{{
 /opt/local/libexec/Geant4/Geant4.10.4/lib/Geant4-10.4.1/Modules/
 }}}
 and I'm not able to figure out how to fix that despite having a patch.
 This might or might not be related to the new CMake configuration option,
 but most likely not.

 The second problem is that I'm unable to force a particular version of
 Geant4. Gate will just pick the latest version of Geant. So once
 Geant4.10.5 is out, Gate will depend on 4.10.4 and build against the
 incompatible 4.10.5.

 The third problem is that double-clicking the app icon makes the icon
 bounce in the tray and opens the app which is consuming 100% of processor
 time until you kill it from Activity monitor. The command-line still works
 though, so there's still value in having the updated package despite this.

 (Gate as currently shipped is MacPorts is horribly broken and outdated for
 other reasons, for example it needs root5 which no longer compiles on
 10.13)

--
Ticket URL: <https://trac.macports.org/ticket/56132#comment:1>
MacPorts <https://www.macports.org/>
Ports system for macOS
Reply | Threaded
Open this post in threaded view
|

Re: [MacPorts] #56132: gate: Update to 7.2 or 8.0

MacPorts
In reply to this post by MacPorts
#56132: gate: Update to 7.2 or 8.0
-------------------------+--------------------
  Reporter:  ryandesign  |      Owner:  mojca
      Type:  update      |     Status:  closed
  Priority:  Normal      |  Milestone:
 Component:  ports       |    Version:
Resolution:  fixed       |   Keywords:
      Port:  gate        |
-------------------------+--------------------
Changes (by mojca):

 * status:  new => closed
 * resolution:   => fixed


Comment:

 In [changeset:"3148efa8fac710506e7b4f1f101e058cde242aeb/macports-ports"
 3148efa8fac710506e7b4f1f101e058cde242aeb/macports-ports] (master):
 {{{
 #!ConfigurableCommitTicketReference repository="macports-ports"
 revision="3148efa8fac710506e7b4f1f101e058cde242aeb"
 gate: update to 8.1.p01

 GUI seems broken, but the old version is broken by now as well.

 Closes: https://trac.macports.org/ticket/55677
 Closes: https://trac.macports.org/ticket/56132
 }}}

--
Ticket URL: <https://trac.macports.org/ticket/56132#comment:2>
MacPorts <https://www.macports.org/>
Ports system for macOS